%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70

Summary: System daemon for tracking users, sessions and seats
Name: ConsoleKit
Version: 0.2.0
Release: 2%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://consolekit.freedesktop.org
Source0: http://people.freedesktop.org/~mccann/dist/ConsoleKit-%{version}.tar.gz
Patch0: ConsoleKit-0.2.0-daemonize-properly.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dbus >= %{dbus_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: pam-devel
BuildRequires: gtk2-devel

Requires(post): chkconfig
Requires(preun): chkconfig
Requires: gtk2

%description 
ConsoleKit is a system daemon for tracking what users are logged
into the system and how they interact with the computer (e.g.
which keyboard and mouse they use).

It provides asynchronous notification via the system message bus.

%package libs
Summary: ConsoleKit libraries
Group: Development/Libraries
Requires: pam
Requires: dbus >= %{dbus_version}

%description libs
Libraries and a PAM module for interacting with ConsoleKit.

%package devel
Summary: Development libraries and headers for ConsoleKit
Group: Development/Libraries
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig

%description devel
Headers, libraries and API docs for ConsoleKit

%prep
%setup -q
%patch0 -p1 -b .daemonize-properly

%build
%configure --with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid --enable-pam-module --with-slibdir=/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/lib/*.a
rm -f $RPM_BUILD_ROOT/lib/*.la
rm -f $RPM_BUILD_ROOT/lib/security/*.a
rm -f $RPM_BUILD_ROOT/lib/security/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ConsoleKit
/sbin/chkconfig ConsoleKit resetpriorities

%preun
if [ $1 = 0 ]; then
    /sbin/service ConsoleKit stop > /dev/null 2>&1
    /sbin/chkconfig --del ConsoleKit
fi


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS ChangeLog

%{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/rc.d/init.d/ConsoleKit
%{_sbindir}/console-kit-daemon
%{_bindir}/ck-list-sessions
%{_libexecdir}/*

%files libs
%defattr(-,root,root,-)
/lib/lib*.so.*
/lib/security/*.so
%{_datadir}/man/man8/pam_ck_connector.8.gz

%files devel
%defattr(-,root,root,-)

/lib/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Mar 19 2007 David Zeuthen <davidz@redhat.com> - 0.2.0-2
- BR gtk2-devel and make ConsoleKit Require gtk2 (could just be
  libX11 with a simple patch)

* Mon Mar 19 2007 David Zeuthen <davidz@redhat.com> - 0.2.0-1
- Update to upstream release 0.2.0
- Daemonize properly (#229206)

* Sat Mar  3 2007 David Zeuthen <davidz@redhat.com> - 0.1.3-0.git20070301.1
- Allow caller to pass uid=0 in libck-connector

* Thu Mar  1 2007 David Zeuthen <davidz@redhat.com> - 0.1.3-0.git20070301
- Update to git snapshot
- Drop all patches as they are committed upstream
- New tool ck-list-sessions
- New -libs subpackage with run-time libraries and a PAM module
- New -devel subpackage with headers

* Tue Feb  6 2007 David Zeuthen <davidz@redhat.com> - 0.1.0-5%{?dist}
- Start ConsoleKit a bit earlier so it starts before HAL (98 -> 90)
- Minimize stack usage so VIRT size is more reasonable (mclasen)
- Make session inactive when switching to non-session (davidz)

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-4
- Don't mark initscripts %%config
- Use proper lock and pid ile names

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-3
- More package review feedback

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-2
- Incorporate package review feedback

* Thu Jan 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-1
- Update to the first public release 0.1.0
- Some spec cleanups

* Mon Oct 23 2006 David Zeuthen <davidz@redhat.com> - 0.0.3-1
- Initial build.

